/***************************************************************************
 *   Copyright (C) 2007-2008 by Sebastian Kuegler <sebas@kde.org>          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/


#ifndef PANELICON_H_
#define PANELICON_H_

#include <Plasma/PopupApplet>
#include <Plasma/Extender>
#include <Plasma/ExtenderItem>
#include "widget.h"


class PanelIcon: public Plasma::PopupApplet {
Q_OBJECT
public:
	PanelIcon(QObject *parent, const QVariantList &args);
	virtual ~PanelIcon();
	void init();
	QGraphicsWidget *graphicsWidget();
	QList<QAction*> contextualActions();


public Q_SLOTS:
	//void initBatteryExtender(Plasma::ExtenderItem *item);
	void toggleMode();

protected:
	virtual void popupEvent(bool show);

private:
	PlasmaboardWidget *m_plasmaboard;
	const QVariantList args;
	Plasma::ExtenderItem *eItem;
	QAction *contextSwitcher;
	bool extendedMode;

};

#endif /* PANELICON_H_ */


